Historical contract: Get All Channels of Event Rule
Historical API contract. This page describes an earlier API contract. Methods, paths, and responses may differ from the current API.
Historical meaning
Get All Channels of Event Rule
This API endpoint is used to all channels of an event rule
Current API
For new integrations, use the linked current API reference or guide.
View the current API referenceParameters
[
{
"name": "language",
"in": "path",
"schema": {
"type": "string",
"default": "en"
},
"required": true
},
{
"name": "project",
"in": "path",
"schema": {
"type": "string",
"default": "<redacted-personal>"
},
"required": true
},
{
"name": "api_version",
"in": "path",
"schema": {
"type": "string",
"default": "v400"
},
"required": true
},
{
"name": "params",
"in": "query",
"schema": {
"type": "string"
}
},
{
"name": "event_rule_id",
"in": "path",
"schema": {
"type": "integer",
"format": "int32"
},
"required": true
}
]
Request body
null
Responses
{
"200": {
"description": "200",
"content": {
"application/json": {
"examples": {
"Result": {
"value": "{\n \"error\": false,\n \"result\": [\n {\n \"id\": 1,\n \"channel\": \"email\",\n \"title\": \"Test Channel\",\n \"body\": \"Test Channel Message\",\n \"webhook\": null,\n \"enabled\": true,\n \"event_rule_id\": 3\n },\n {\n \"id\": 2,\n \"channel\": \"notification\",\n \"title\": \"Test\",\n \"body\": \"Test\",\n \"webhook\": null,\n \"enabled\": true,\n \"event_rule_id\": 3\n }\n ],\n \"pagination\": {\n \"total\": 2,\n \"from\": 1,\n \"to\": 2,\n \"current_page\": 1,\n \"page_size\": 2,\n \"total_pages\": 1,\n \"fisrt_page\": null,\n \"back_page\": null,\n \"next_page\": null,\n \"last_page\": null\n }\n}"
}
},
"schema": {
"type": "object",
"properties": {
"error": {
"type": "boolean",
"example": false,
"default": true
},
"result": {
"type": "array",
"items": {
"type": "object",
"properties": {
"id": {
"type": "integer",
"example": 1,
"default": 0
},
"channel": {
"type": "string",
"example": "email"
},
"title": {
"type": "string",
"example": "Test Channel"
},
"body": {
"type": "string",
"example": "Test Channel Message"
},
"webhook": {},
"enabled": {
"type": "boolean",
"example": true,
"default": true
},
"event_rule_id": {
"type": "integer",
"example": 3,
"default": 0
}
}
}
},
"pagination": {
"type": "object",
"properties": {
"total": {
"type": "integer",
"example": 2,
"default": 0
},
"from": {
"type": "integer",
"example": 1,
"default": 0
},
"to": {
"type": "integer",
"example": 2,
"default": 0
},
"current_page": {
"type": "integer",
"example": 1,
"default": 0
},
"page_size": {
"type": "integer",
"example": 2,
"default": 0
},
"total_pages": {
"type": "integer",
"example": 1,
"default": 0
},
"fisrt_page": {},
"back_page": {},
"next_page": {},
"last_page": {}
}
}
}
}
}
}
},
"400": {
"description": "400",
"content": {
"application/json": {
"examples": {
"Result": {
"value": "{}"
}
},
"schema": {
"type": "object",
"properties": {}
}
}
}
}
}